Bug 1479138 - CephFS: fusermount utility not available to unmount fuse mount.
CephFS: fusermount utility not available to unmount fuse mount.
Status: VERIFIED
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS (Show other bugs)
3.0
Unspecified Unspecified
medium Severity medium
: rc
: 3.0
Assigned To: Patrick Donnelly
Ramakrishnan Periyasamy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 00:46 EDT by Ramakrishnan Periyasamy
Modified: 2017-08-30 01:13 EDT (History)
8 users (show)

See Also:
Fixed In Version: ceph-12.1.4-2.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 21057 None None None 2017-08-21 15:07 EDT

  None (edit)
Description Ramakrishnan Periyasamy 2017-08-08 00:46:05 EDT
Description of problem:

fusermount utility is not available to unmount fuse mount.

ceph-fuse man page has the description about fusermount but utility not available.

command output:
[ubuntu@host01 ~]$ sudo fusermount -u /mnt/cephfs/
sudo: fusermount: command not found

Version-Release number of selected component (if applicable):
ceph: ceph version 12.1.2-1.el7cp (b661348f156f148d764b998b65b90451f096cb27) luminous (rc)
ceph-fuse: ceph-fuse-12.1.2-1.el7cp.x86_64

How reproducible:
2/2

Steps to Reproduce:
[ubuntu@host01 ~]$ sudo fusermount -u /mnt/cephfs/
sudo: fusermount: command not found

Actual results:
utility not available to unmount fuse mount

Expected results:
NA

Additional info:
NA
Comment 2 Ken Dreyer (Red Hat) 2017-08-08 13:21:52 EDT
/usr/bin/fusermount is in the "fuse" RPM package. Looks like ceph-fuse depends on "fuse-libs", not "fuse".

I wonder if the docs should be updated to tell users to mount with "mount" rather than "fusermount"? That's what mounting via /etc/fstab does, right?
Comment 3 Patrick Donnelly 2017-08-08 13:53:29 EDT
Docs in question: https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/2/html/ceph_file_system_guide_technology_preview/mounting_and_unmounting_ceph_file_systems#unmounting_ceph_file_systems

simple `umount` gets a EPERM on my system while `fusermount -u` works. I believe we will need to add the fuse dependency.
Comment 4 Ken Dreyer (Red Hat) 2017-08-08 13:56:00 EDT
Rachana can you please verify "yum install fuse" allows you to proceed?
Comment 5 Ramakrishnan Periyasamy 2017-08-11 02:12:47 EDT
"yum install fuse" works but it picks package from RHEL repo, after installation "fusermount" utility available.
Comment 6 Patrick Donnelly 2017-08-21 12:54:09 EDT
Ken, how should we proceed on fixing the package dependencies?
Comment 7 Ken Dreyer (Red Hat) 2017-08-21 15:07:51 EDT
I've reviewed the Debian packaging and this has been implemented since the very beginning. We just missed the "Requires: fuse" on the RPM side.

https://github.com/ceph/ceph/pull/17120 adds it.
Comment 11 Ramakrishnan Periyasamy 2017-08-30 01:13:54 EDT
Moving this bug to verified state.

fusermount mount utility available part of ceph-fuse package.

Verified in build: 12.2.0-1.el7cp (b661348f156f148d764b998b65b90451f096cb27) luminous (rc)

Note You need to log in before you can comment on or make changes to this bug.